Advertisement:

Author Topic: Stop Spammer  (Read 678243 times)

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #860 on: November 01, 2010, 05:02:53 PM »
you are right I shouldn't have to manually install every mod it is extremely time consuming, so i would like to fix that
...
I think it has to do do with CHOWN? I am on a VPS, have root access, but installed EHCP control panel to help manage multiple sites..so I believe maybe the root of my problems is the wrong chown settings?

How do I find out who and what to chown to, IE: chown -R whatuser?:whatgroup?

Well, if you have root access to your server that would make things easier. I haven't got root access and need to ask my server admins every time I need to change something.

With EHCP I suppose you mean Easy Hosting Control Panel. I use Enhanced cPanel, but I haven't configured it myself. It was already done when I started using it. Anyway I have an idea where to start looking and we can also compare your server and mine to see the differences. I think both are pretty similar, as both are open source and both run on Linux. And of course, if we don't find it ourselves, we can ask as well my friends in Ubuntu forums, my server admins, etc.

But as I said before, this is not the place to talk about this thing. It would be better if we contact through any messenger and talk directly about it to sort it. I use Ubuntu 10.04, so I have Pidgin open all the time and inside it I have configured my accounts inside MSN, Yahoo and Skype, so anyone of them you have will be ok.

The best thing you can do is enter my site: http://www.snoopyvirtualstudio.com and find the photos of me and my brother. On top of each one there are buttons saying exactly what are we doing at any moment: If we are available, if we have the computer off, if we are doing something too urgent and don't want to be disturbed, etc.

When ever you see I am green, give me a call.

You can talk also with my brother if you want, but he only speaks Spanish, so don't recommend you to try if you don't speak that one.

=============

By the way, Was the file I gave you yesterday OK? Did it install the database for this mod properly?

I'm curious now, because yesterday butchs was telling me I had done it wrong. He told me you had the same problem with his mod Bad Behavior and he had done also a similar file for you to install it manually, so I checked that file butchs did to see the differences.

I need to know which one of the files is right for future references in case somebody has a similar problem.

I am 99.99% sure though you will have no problem installing my mod with the file I gave you and you will get again the same error "Database Error - No database selected" with the file butchs gave you for his mod, but there is always a chance I'm wrong and would like to know.
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline butchs

  • SMF Hero
  • ******
  • Posts: 1,712
  • Lost 7GB bandwidth!
    • EastCoastRollingThunder
Re: Stop Spammer
« Reply #861 on: November 01, 2010, 06:24:06 PM »
Ouch that stings!  I will be surprised if you install worked outside package manager considering that you called "$user_info['is_admin']" before $user_info was set as a global and etc.
I have been truly inspired by the SUGGESTIONS as I sit on my throne and contemplate the wisdom imposed upon me.

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #862 on: November 01, 2010, 06:45:16 PM »
You want to bet a beer?
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline petesky

  • Jr. Member
  • **
  • Posts: 312
Re: Stop Spammer
« Reply #863 on: November 02, 2010, 03:48:47 AM »
Is there a RC4 update available ?

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #864 on: November 02, 2010, 06:41:33 AM »
Is there a RC4 update available ?

As the people in SMF say:

Quote
Note: As this is in development, we do not recommend running SMF 2.0 RC4 on a production site.

So as RC4 is only for developers and testing purposes the people using RC4 are supposed to be able to do any changes required. So I will do first the update for SMF 1.1.12 that is the actual SMF stable version.

After that, if I have time I will worry about RC4
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #865 on: November 02, 2010, 11:13:39 AM »
New SMF version 1.1.12 thoroughly checked for compatibility with mod Stop Spammer version 2.3.7

No changes needed at all in this mod, so if you are going to update your forum to the latest stable version (as you should) you shouldn't have any problem:

Mod Stop Spammer version 2.3.7 is fully compatible with SMF version 1.1.12

Of course, as always, before I say anything, I only checked it a hundred times instead of a thousand times (as I should) so I am only 99.99% sure of what I say. I may have made a mistake somewhere.   ;D

So if you have any problem updating SMF to the new version let me know and I will look into it.
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline petesky

  • Jr. Member
  • **
  • Posts: 312
Re: Stop Spammer
« Reply #866 on: November 02, 2010, 11:47:57 AM »
I put the correct version number in XML and modified at least on error in log. Works also with RC4 so far. Thx

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #867 on: November 02, 2010, 12:35:21 PM »
I put the correct version number in XML and modified at least on error in log. Works also with RC4 so far. Thx

Did you take a note of the error in log? I would like to know.

What XML you changed? If the versions are compatible you shouldn't need to change anything in any XML file.
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline petesky

  • Jr. Member
  • **
  • Posts: 312
Re: Stop Spammer
« Reply #868 on: November 02, 2010, 01:18:31 PM »
The change in XML is just to get it installed in RC4. Thats all. There was an eregi not found somewhere. I edited the file manually and let install the mod with this one error. This works perfectly.

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #869 on: November 02, 2010, 02:23:29 PM »
The change in XML is just to get it installed in RC4. Thats all.

I still don't understand what XML file you are talking about.

This mod has 4 XML files:

  • languages.xml This is a file with string lines for the different languages supported and has nothing to do with any SMF version, so it cannot be this one.
  • install_1.xml This file has the changes needed for any SMF 1.x forum and your forum is not 1.x, so it cannot be this one either.
  • install_2.xml This file has the changes needed for any SMF 2.x forum, but it has nothing to do with any SMF version, so it cannot be this one either.
  • package-info.xml This is the only file with different sections for installing or uninstalling in different SMF forums, but the only section that could apply to your case is the one that says:
Code: [Select]
<install for="2.0 - 2.99.99">

So that section has the instructions to install the mod in any SMF forum with any version from 2.0 to 2.99.99 and that includes any possible betas, RCs etc they may publish, so it includes of course 2.0 RC3, 2.0 RC4, etc, so it cannot be this one either.

So again, Can you please tell me what XML file you changed?

There was an eregi not found somewhere. I edited the file manually and let install the mod with this one error. This works perfectly.

If you are talking about the PHP function eregi() I haven't used it never in any of my programs, so you must have read wrongly the error message.

If you had a typo when you wrote it here and you are talking about the PHP function ereg() I used this function ages ago when we started with this mod, but that function was deprecated in PHP long time ago and it shows errors now, so I changed it long time ago (I think more than a year ago) to preg_match() and that one never shows any errors.

Are you sure you have installed the latest mod Stop Spammer version 2.3.7?
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline mojosplurr

  • Newbie
  • *
  • Posts: 7
Re: Stop Spammer
« Reply #870 on: November 02, 2010, 03:09:13 PM »
You want to bet a beer?
sorry for the slow reply guys, had a heck of a day yesterday!

lol, unfortunately...snoops file did install the database, and butch yours still give me the same error.. but i want to thank both of you for taking your time to help me.

@snoop im going to get a microphone and set up the skype thing today, hopefully we can get things sorted.

once gain thanks to both you guys.

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #871 on: November 02, 2010, 03:21:01 PM »
You want to bet a beer?
lol, unfortunately...snoops file did install the database, and butch yours still give me the same error.. but i want to thank both of you for taking your time to help me.

Yahoooo!!    butchs owes me a beer now.

Don't send it by email though. It will get everything in my incoming folder wet.  ;)
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline busterone

  • SMF Hero
  • ******
  • Posts: 2,150
  • Gender: Male
  • Devil Dog
    • The Demon's Den
Re: Stop Spammer
« Reply #872 on: November 02, 2010, 05:47:57 PM »
Good one.   ;D 

I will be testing for RC4 later this evening as well, so I will let you know how it goes if no one else posts about it. I am going to try it on fully loaded ungraded forum and a clean installed one.


Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #873 on: November 02, 2010, 06:07:50 PM »
I will be testing for RC4 later this evening as well, so I will let you know how it goes if no one else posts about it. I am going to try it on fully loaded ungraded forum and a clean installed one.

Wonderful. I was planing to test it on my RC3 test forum as well, (upgrading it first to RC4) but don't know when I will have time to do it though, and anyway it has mod Stop Spammer, httpBL and a few more already installed in it, so it won't be the same as a new fresh install.

I was even thinking on doing a new test RC4 forum to test this properly, but if you are going to do it, that will save my a lot of work.

Keep us informed. Thanks.  ;)
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #874 on: November 02, 2010, 06:28:39 PM »
I will be surprised if your install worked outside package manager considering that you called "$user_info['is_admin']" before $user_info was set as a global and etc.

Just in case you are still wondering why my script worked I will explain it a little:

When you use the file install_2.php outside the package manager it works as a master file. SSI.php is included in it.

One of the first things SSI.php does is declare a lot of globals it need, as for example $user_info, $smcFunc, $db_prefix etc so you actually don't need to declare any of these globals yourself when using the file as master.

Of course it's better if the globals are also there, because when the file is used by the package manager, the master file is index.php, and the file install_2.php is called after a lot of includes, so we cannot be sure if all those variables are still globals or not.
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline busterone

  • SMF Hero
  • ******
  • Posts: 2,150
  • Gender: Male
  • Devil Dog
    • The Demon's Den
Re: Stop Spammer
« Reply #875 on: November 02, 2010, 07:21:25 PM »
Alright Snoopy, I tested ver.2.3.7 on both. I had to do only 1 manual edit for both the upgraded and the clean install RC4.
It is in /Sources/Subs.php.

The install is looking in subs.php for the following code to replace-
Code: [Select]
$context['unapproved_members'] = !empty($modSettings['registration_method']) && $modSettings['registration_method'] == 2 ? $modSettings['unapprovedMembers'] : 0; which has changed to this in RC4-
Code: [Select]
$context['unapproved_members'] = (!empty($modSettings['registration_method']) && $modSettings['registration_method'] == 2) || !empty($modSettings['approveAccountDeletion']) ? $modSettings['unapprovedMembers'] : 0;
I manually replaced it with the mod's code
Code: [Select]
$context['unapproved_members'] = $modSettings['unapprovedMembers'];and allowed the package manager to finish the installation. It appears to be working and there are no errors in the error log so far. As best as I can tell, just changing the above search string will make it compatible with RC4.  :)

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #876 on: November 02, 2010, 07:55:18 PM »
Interesting.

I will need to see anyway what is the new $modSettings['approveAccountDeletion'] as I haven't seen it before. Maybe we should take it into account.

The problem is now it's impossible to make the mod compatible with RC3 and RC4 at the same time, so I will leave it the way it is just now, (giving links to what you have just said for the people upgrading to RC4) and whenever I finish the next version I will change it.

Thanks mate.
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.

Offline busterone

  • SMF Hero
  • ******
  • Posts: 2,150
  • Gender: Male
  • Devil Dog
    • The Demon's Den
Re: Stop Spammer
« Reply #877 on: November 02, 2010, 08:24:14 PM »
No problem.  :)
I am also curious about the $modSettings['approveAccountDeletion'] as well. I have not upgraded my main live forum yet, just a backup copy of it to see how all my mods will fare on RC4. All mods are ok, but I will wait it out before upgrading the live site as well. I do not want to create any issues with the missing $modSettings['approveAccountDeletion'] if there will be any.

Offline Jade Elizabeth

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 12,629
  • Gender: Female
  • Keep your enemies close and your friends closer ;)
    • jadetrainor on LinkedIn
    • @alundra on Twitter
    • Jades-World
Re: Stop Spammer
« Reply #878 on: November 07, 2010, 06:38:03 PM »
Is there a RC4 update available ?

As the people in SMF say:

Quote
Note: As this is in development, we do not recommend running SMF 2.0 RC4 on a production site.

So as RC4 is only for developers and testing purposes the people using RC4 are supposed to be able to do any changes required. So I will do first the update for SMF 1.1.12 that is the actual SMF stable version.

After that, if I have time I will worry about RC4


So, you've supported RC2 and RC3 but you're bailing on RC4 with a really horrible reply to someone who needs this mod like I do? You don't have to be a jerk about it, you could just be honest and say you're not comfortable or you don't know how or what ever.


There's a tonne of forums and mods out there which use RC4. The "note" above is a disclaimer for the team to let everyone know there will be bugs and they will be fixed with new releases. It's there to let people know that the version may carry some seriously crippling bugs which they will have to live with if they use this version, however, SMF tries very hard to make sure there arent any horrifying bugs that will kill people, and usually releases prompt patches if they have to for bugs like that.

Not to mention if it was only for developing and testing there would be no point in it at all because why develop for a software that's going to keep changing until it's stable and no one is using live?!

Edit: saw you said you were supporting 1.x first, but my reply still stands. You should be nice to people when they come to you for help, ESPECIALLY since they probably look up to you for knowing how to create something like this. What goes around comes around too, so you wouldnt like it if you got a mean reply for something you really needed.
« Last Edit: November 07, 2010, 06:47:42 PM by Jade Elizabeth »
Once proud Documentation Writer and Help Squad Leader | Check out my new adult coloring forum: Color Me Forum/Patreon.

Offline snoopy_virtual

  • Sophist Member
  • *****
  • Posts: 1,155
  • Gender: Male
    • jcredondosnoopy on Facebook
    • Snoopy Virtual Studio
Re: Stop Spammer
« Reply #879 on: November 08, 2010, 08:22:14 AM »
@ Jade Elizabeth

Let me see if I can answer all your points there:

=================

  • 1.- The way I speak:

I'm very sorry if you don't like the way I speak. I suppose it must be because English is not my first language. I tend to speak English just translating in my head literally what I would say in Spanish. In Spain we almost never use the words "Thank you" and "Please", so I almost never use them when I am speaking English. This has already got me into trouble a few times in the past (mostly with my Scottish in-laws) but I keep forgetting.

Also I have been teaching for too many years and also tend to talk to everybody the same way I talk to my students. I know that's a mistake, but keep forgetting as well. And I don't think now that I am 53 it's going to be easy for me to change the way I speak.

Anyway, if you read all the thousands of pages I have written in internet (not only here in SMF but also in all the rest of Open Source Projects I collaborate with, like Joomla, Ubuntu, etc, or in the special forum I have set-up to help young people and teach them for free how to design secure web sites, how to write good code, etc) you will see I normally try to be careful with the kind of language I use when I have enough time to do so.

But when I am in a hurry I normally only write a quick reply trying to be as concise as possible, going to the point and not explaining too much anything.

And the problem is I have a family and a personal life to worry about, so not always have enough time to be all day answering questions in the Open Source Projects I collaborate for free and need sometimes to worry also about working for money.

=================

  • 2.- Should we use SMF 2.0 for an important live site?

Definitely no. Not yet, until it becomes stable.

One of the things I do to make money is to look after a few web sites, trying to stop all kind of hackers, spammers and any other bad guy trying to interfere with this sites.

In most of these web sites I have installed SMF, because I think it's the best program to use as the base for any web site. The best constructed, the more secure, etc. But of course in all of them I have installed the latest stable version, that is SMF 1.1.12 just now.

For example I use a few computers to work. In some of them I have installed operative systems and programs that I don't think are secure (beta versions, etc) and I use them to experiment with them and to try and collaborate to fix any possible bugs they have. (As for example Ubuntu 11 beta version, that it's supposed to become stable next year and I am helping to debug having it installed in one of my computers partition and experimenting with it).

For example I even have also Windows 7 and XP installed in one of the computers. Of course not to try and fix the bugs in them (I cannot, as it's not open source) but to see how some of my customers and/or friends see the internet, trying to understand some of the problems they have so I can also help them with them.

But in the main computer I use for all my work I cannot be experimenting and testing beta operative systems or programs. I have in it the best, more stable and more secure operative system available just now. That is: Ubuntu 10.04 64bits.

That's why when I do any change to any of my mods I always do it first for SMF 1.x because I think it's the more urgent thing. For 2 reasons: For my customers (as responsible for their sites security) and for all the people using the latest SMF stable version. (After so many years helping people here in SMF a lot of them are now my students and/or my friends, and I feel somehow responsible for their sites security as well).

Sometimes, if there is an important change needed for SMF 1.x I even stop all the work I'm doing (leaving all my customers on hold) and concentrate on that change until it's finish, it doesn't matter how much time it takes. And remember that this is work I do for free and I was supposed to do it only in my spare time. Or at least that's what my ex used to say (or is it shout?) every time she caught me collaborating with a free project. Luckily, since we divorced, she cannot see me and I can dedicate more time to these projects if I feel like doing it.  ;D

=================

  • 3.- Should we collaborate with SMF so their new 2.0 system becomes stable as soon as possible?

Definitely yes.

At least all the people with enough programming knowledge and with free time to do this kind of job.

Personally I have set up a test forum with SMF 2.0 to try and find bugs in the program, try to find solutions for these bugs, try in them my mods to make them compatible with any new version of the program, etc.

But, as I said before, I only do it when I have free time, because in my "List of things to do urgently" there are too many things and I need to kind of sort them out to do first the more urgent ones.

If I had more time I would even ask the people here in SMF for the latest copy they may be working on to help them develop it. Unfortunately I haven't got enough free time just now to do it, but I would love that, and for sure that's one of the first things I will do if I ever get the proper lottery numbers so I don't need to worry any more on spending time looking for money.  ;)

=================

  • 4.- Will I ever release an update to this mod so it's compatible with SMF 2.0 RC4?

Of course yes.

If you read carefully all the conversation we had here in this thread since petesky asked me that on the 2nd of November, I think it's obvious.

As I answered then, I had to check first the compatibility with SMF 1.1.12 and I was going to check the compatibility with SMF 2.0 RC4 later. When I have time do do it.

As you can see, on the same 2nd of November, just 5 hours after my first answer to petesky I wrote another post saying I had already checked the compatibility of this mod with SMF 1.1.12 and I had found out they are fully compatible and no changes are needed here.

Then was when I started worrying about compatibility with RC4, but doing it slowly. As I have already said a lot of times, my "List of things to do urgently" is too long. Luckily, our friend busterone stepped in and told us he has some free time and was going to check it out for us.

This help from busterone made things go faster so just the next day, 3rd of November he told all of us what he has discovered:

http://www.simplemachines.org/community/index.php?topic=283309.msg2837547#msg2837547

Unfortunately, as you can also see I answered him, this mean it's now impossible for me to do an update for the mod (as it was my first idea) compatible at the same time with RC3 and RC4. I need to choose to make it compatible with only one of them.

I suppose just now (since RC4 has been out only for a few days) most of the people using SMF 2.0 are still using RC3 and they will be moving slowly to RC4.

So my decision has been to wait for a while, leave just now the mod compatible with RC3 and change that compatibility to RC4 when I release the next version of this mod.

Just in case you haven't read all this thread (I know it's already 44 pages long, but I have read them a lot of times and keep doing it every now and then so I don't forget requests people have been doing here, bugs they have asked me to sort, etc) and you don't know what next version of this mod I am talking about, I will explain this a little:

Since I released version 2.3.7 last February, there have been a lot of people asking me for new features I should add to the mod, old bugs we were trying to sort before which have been already sorted (some by me, some by other friends here), new bugs discovered that somebody need to sort, etc, etc.

With all that I have been doing a new version that I will release whenever it's finish. I am not sure when it will be finish. Maybe a couple of weeks, maybe a month, maybe more. But I suppose, by the time I have this next version finish, most of the people using SMF 2.0 will have already moved to RC4, so it will be safe to do that version just compatible with RC4 and forget definitely RC3 and older versions.

In the mean time, as I also said on the 3rd of November, anybody upgrading to RC4 will just need to do the small manual edit in the file Subs.php our friend busterone discovered.

=================

Well, I don't know if I have answered all your points. I think so, but if I have missed anything or I haven't explained something enough, just let me know and I will try to explain it again.
El verdadero sabio es aquel que lo ve todo, lo estudia todo, lo analiza todo y molesta poco.
A true wise man is he who sees everything, studies everything, analyses everything and hardly ever annoys.